BLK_QUEUE_HARDSEC(9)

NAME
blk_queue_hardsect_size - set hardware sector size for the queue

SYNOPSIS

void blk_queue_hardsect_size (request_queue_t * q, unsigned short size);

ARGUMENTS

q   the request queue for the device

size
    the hardware sector size, in bytes

DESCRIPTION

This should typically be set to the lowest possible sector size that the hardware can operate on (possible without reverting to even internal read-modify-write operations). Usually the default of 512 covers most hardware.